tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

lapack: undefined symbol pow_{ci,dd,di,hh,ii,ri,zi,zz}


I'm getting the following error message when running applications 
depending linked against lapack e.g.:

 File "/usr/pkg/lib/python2.5/site-packages/numpy/linalg/", 
line 29, in <module>
    from numpy.linalg import lapack_lite
ImportError: /usr/pkg/lib/ Undefined PLT 
symbol "pow_zi" (symnum = 72)

It used to work but stopped after upgrading to pkgsrc-current. I see 
pow_zi is part of libF77, but it doesn't appear in the list of 
linked libraries;

        -lc.12 => /usr/lib/

Any ideas?

cheerio Berndt

Home | Main Index | Thread Index | Old Index